/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProvenanceApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProvenanceApiTests : IDisposable
    {
        private ProvenanceApi instance;

        public ProvenanceApiTests()
        {
            instance = new ProvenanceApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProvenanceApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProvenanceApi
            //Assert.IsType<ProvenanceApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourcesResourceIdProvenanceOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourcesResourceIdProvenanceOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //string resourceId = null;
            //instance.ApiV2ProjectsProjectIdResourcesResourceIdProvenanceOptions(projectId, resourceId);
        }

        /// <summary>
        /// Test GetSpecificProvenance
        /// </summary>
        [Fact]
        public void GetSpecificProvenanceTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string path = null;
            //int? version = null;
            //var response = instance.GetSpecificProvenance(projectId, resourceId, path, version);
            //Assert.IsType<ProvenanceDtoResponse>(response);
        }

        /// <summary>
        /// Test UpdateSpecificProvenance
        /// </summary>
        [Fact]
        public void UpdateSpecificProvenanceTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //ProvenanceForUpdateDto? provenanceForUpdateDto = null;
            //instance.UpdateSpecificProvenance(projectId, resourceId, provenanceForUpdateDto);
        }
    }
}
